Skip to main content

Blackhawk Network

Quick Start
  1. Sign up at blackhawknetwork.com and obtain API credentials
  2. Create a terminal in the Admin Console with the parameters below
  3. Start processing — the adapter is pre-built and ready to use

Go to Blackhawk Network →

Overview​

Blackhawk Network — Gift card processing cards

Provider IDblackhawknetwork
CategoryE-Wallets
Websiteblackhawknetwork.com

Supported operations: Verify + Redeem (payments_authorize)


Authentication​

Method: OAuth2 Client Credentials
Process:

Step 1: Retrieval token​

POST /realms/dev-experience/protocol/openid-connect/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id={client_id}&client_secret={client_secret}&scope=openid

Step 2: Response​

{
"access_token": "eyJ...",
"token_type": "Bearer",
"expires_in": 3600,
"scope": "openid"
}

Step 3: Usage token​

Authorization: Bearer {access_token}

Configuration​

Required Parameters​

ParameterDescription
base_urlBase API URL
client_idOAuth2 Client ID
client_secretOAuth2 Client Secret
product_line_idProduct Line ID

Status Mapping​

Provider Status4pay StatusDescription
APPROVEDChargedTransaction approved
DECLINEDFailureTransaction declined
PENDINGProcessingProcessing

API Reference​

MethodEndpointDescription
GET/accountProcessing/v1/verifyAccount?account_number={number}&product_line_id={id}&account_type=GiftCard
POST/accountProcessing/v1/redeem
GET/accountProcessing/v1/verifyAccount?

Resources​